Rygel.MediaServerPlugin.MediaServerPlugin – librygel-server Reference Manual

# MediaServerPlugin

## Description:

public MediaServerPlugin (MediaContainer root_container, string name, string? description = null, PluginCapabilities capabilities = NONE)

Create an instance of the plugin. The plugin's service will have the same title as its root container.

## Parameters:

root_container | The container that should be served by this plugin's service.
name | The non-human-readable name for the plugin and its service, used in UPnP messages and in the Rygel configuration file.
description | An optional human-readable description (modelDescription) of the UPnP service provided by the plugin.